### Class

# Shell WindowPreviewLayout

#### Description

    class Shell.WindowPreviewLayout : Clutter.LayoutManager
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- ClutterLayoutManager
- GInitiallyUnowned
- GObject

#### Instance methods

###### shell_window_preview_layout_add_window

Creates a ClutterActor drawing the texture of `window` and adds it to the container. If `window` is already part of the preview, this function will do nothing.

###### shell_window_preview_layout_get_bounding_box

No description available.

###### shell_window_preview_layout_get_windows

Gets an array of all MetaWindows that were added to the layout using shell_window_preview_layout_add_window(), ordered by the insertion order.

###### shell_window_preview_layout_remove_window

Removes a MetaWindow `window` from the preview which has been added previously using shell_window_preview_layout_add_window(). If `window` is not part of preview, this function will do nothing.

##### Methods inherited from ClutterLayoutManager (12)

###### clutter_layout_manager_allocate

Allocates the children of `container` given an area.

###### clutter_layout_manager_child_get

Retrieves the values for a list of properties out of the `ClutterLayoutMeta` created by `manager` and attached to the child of a `container`.

###### clutter_layout_manager_child_get_property

Gets a property on the `ClutterLayoutMeta` created by `manager` and attached to a child of `container`.

###### clutter_layout_manager_child_set

Sets a list of properties and their values on the `ClutterLayoutMeta` associated by `manager` to a child of `container`.

###### clutter_layout_manager_child_set_property

Sets a property on the `ClutterLayoutMeta` created by `manager` and attached to a child of `container`.

###### clutter_layout_manager_find_child_property

Retrieves the `GParamSpec` for the layout property `name` inside the `ClutterLayoutMeta` sub-class used by `manager`.

###### clutter_layout_manager_get_child_meta

Retrieves the `ClutterLayoutMeta` that the layout `manager` associated to the `actor` child of `container`, eventually by creating one if the `ClutterLayoutManager` supports layout properties.

###### clutter_layout_manager_get_preferred_height

Computes the minimum and natural heights of the `container` according to `manager`.

###### clutter_layout_manager_get_preferred_width

Computes the minimum and natural widths of the `container` according to `manager`.

###### clutter_layout_manager_layout_changed

Emits the `ClutterLayoutManager::layout-changed` signal on `manager`.

###### clutter_layout_manager_list_child_properties

Retrieves all the `GParamSpec`s for the layout properties stored inside the `ClutterLayoutMeta` sub-class used by `manager`.

###### clutter_layout_manager_set_container

If the `ClutterLayoutManager` sub-class allows it, allow adding a weak reference of the `container` using `manager` from within the layout manager.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Shell.WindowPreviewLayout:bounding-box

No description available.

#### Signals

##### Signals inherited from ClutterLayoutManager (1)

###### ClutterLayoutManager::layout-changed

The signal is emitted each time a layout manager has been changed. Every `ClutterActor` using the `manager` instance as a layout manager should connect a handler to the `ClutterLayoutManager::layout-changed` signal and queue a relayout on themselves:.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ShellWindowPreviewLayoutClass {
      ClutterLayoutManagerClass parent_class;

    }

No description available.

###### Class members

`parent_class: ClutterLayoutManagerClass`

  No description available.